        double precision pi,kBz,c0,hPl,Pl,Reind,g_grav
        double precision Rgaz,Po,rho0,rho_H2O,To
	double precision dTdzc,Cp0,M_DA,M_H2O,AU,Rsun,d_t
	parameter(pi=3.141592653589793238462643383279502884197169399D+0)
	parameter(kBz=1.3806D-23)    ! J/K     (Constante de Boltzmann)
	parameter(c0=2.9979D+8)      ! m/s     (clrit de la lumire dans le vide)
	parameter(hPl=6.6262D-34)    ! Js      (constante de Planck)
	parameter(Pl=5.6696D-8)      ! W/m2/K4 (constante de Stefan-Boltzman)
	parameter(Reind=1.0D+0)	     !         (partie relle de l'indice de rfraction)
	parameter(Po=101325.D+0)     ! Pa      (pression moyenne au sol sur Terre)
	parameter(rho0=1.293D+0)     ! kg/m3   (densit de l'air sur Terre CNTP)
	parameter(rho_H2O=1.0D+3)    ! kg/m3   (masse volumique de l'eau)
	parameter(Cp0=1.005D+3)      ! J/kg/K  (capacit thermique isobare de l'air sur Terre CNTP)
	parameter(To=273.15D+0)      ! K       (temprature 0 deg C)
	parameter(g_grav=9.81D+0)    ! m2/s    (acclration de la pesanteur sur Terre)
	parameter(dTdzc=-7.0D-3)     ! K/m     (dT/dz caractristique sur Terre)
        parameter(M_DA=28.9644D-3)   ! kg/mol  (masse molaire de l'air)
        parameter(M_H2O=18.0D-3)     ! kg/mol  (masse molaire de l'eau)
        parameter(AU=149597870.691D+3) ! m     (distance moyenne Terre-Soleil)
        parameter(Rsun=6.95991756D+8) ! m      (rayon du Soleil)
        parameter(d_t=3600.0D+0*24.0D+0) ! dure du jour en secondes
	parameter(Rgaz=8.3144598)    ! kg.m^2.s^-2.mol^-1.K
